import Vue from 'vue';
import App from './App';
import { BootstrapVue, IconsPlugin } from 'bootstrap-vue';
import 'bootstrap/dist/css/bootstrap.css';
import 'bootstrap-vue/dist/bootstrap-vue.css';
// Install BootstrapVue
Vue.use(BootstrapVue);
// Optionally install the BootstrapVue icon components plugin
Vue.use(IconsPlugin);

import SocketService from './common/socket-service';

export const socketEventBus = new Vue({});
export const socketService = new SocketService(socketEventBus);

export const globalEventsBus = new Vue();

/* eslint-disable no-new */
new Vue({
  el: '#app',
  render: h => h(App)
});
