const path = require('path');

module.exports = {
  devServer: {
    overlay: {
      warnings: true,
      errors: true
    }
  },

  runtimeCompiler: true,

  pluginOptions: {
    'style-resources-loader': {
      preProcessor: 'scss',
      patterns: [path.resolve(__dirname, './src/styles/global.scss')]
    }
  }
};
